%define major     1
%define libname   %mklibname atm %{major}
%define develname %mklibname atm -d

Summary:	Tools and libraries for ATM networking
Name:		linux-atm
Version:	2.5.2
Release:	%mkrel 16
License:	GPLv2+
Group:		System/Networking
Url:		https://linux-atm.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/linux-atm/linux-atm/%{version}/%{name}-%{version}.tar.xz
Patch1:		linux-atm-2.5.0-format_not_a_string_literal_and_no_format_arguments.patch
Patch2:		linux-atm-2.5.0-open-macro.patch
Patch3:		linux-atm-2.5.0-disable-ilmdiag.patch
Patch4:		linux-atm-2.5.2-remove-headers-crude-hack.patch
Patch5:		linux-atm-2.5.2-siocgstamp.patch
Patch6:		linux-atm-c99.patch
Patch7:		linux-atm-use_socklen_t.patch
Patch8:		linux-atm-dont-use-bool-keyword.patch
BuildRequires:	bison
BuildRequires:	flex

%description
Tools and libraries to support ATM (Asynchronous Transfer Mode)
networking and some types of DSL modems.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains libraries needed to run programs linked with %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libatm-devel = %{version}-%{release}
Provides:	atm-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files needed to compile programs which
use %{name}.

%prep
%autosetup -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure \
	--disable-static \
	--enable-shared \
	--enable-cisco \
	--enable-mpoa_1_1 \
	--enable-multipoint

%make_build -j1

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

install -m 0644 src/config/hosts.atm %{buildroot}/etc/
# no firmware on core repository
rm -f %{buildroot}/lib/firmware/*

%files
%doc README AUTHORS ChangeLog NEWS THANKS BUGS
%config(noreplace) %{_sysconfdir}/atmsigd.conf
%config(noreplace) %{_sysconfdir}/hosts.atm
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man4/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Mon May 19 2025 ns80 <ns80> 2.5.2-16.mga10
+ Revision: 2184798
- add a patch from Fedora to try to fix building with GCC 15

* Fri Oct 18 2024 daviddavid <daviddavid> 2.5.2-15.mga10
+ Revision: 2107883
- add another GCC 14 build fixes
- add fedora patch to fix build with GCC 14

* Thu Mar 17 2022 umeabot <umeabot> 2.5.2-14.mga9
+ Revision: 1797083
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 2.5.2-13.mga8
+ Revision: 1528501
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Aug 21 2019 daviddavid <daviddavid> 2.5.2-12.mga8
+ Revision: 1430848
- include <linux/sockios.h> to fix FTBFS with newer kernel headers

* Sun Jan 27 2019 daviddavid <daviddavid> 2.5.2-11.mga7
+ Revision: 1361214
- add upstream patch to fix build with new glibc
- disable static libraries

* Sun Sep 23 2018 umeabot <umeabot> 2.5.2-10.mga7
+ Revision: 1299311
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 2.5.2-9.mga7
+ Revision: 1233859
-fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 04 2016 umeabot <umeabot> 2.5.2-8.mga6
+ Revision: 934182
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.2-7.mga5
+ Revision: 748457
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.2-6.mga5
+ Revision: 681949
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5.2-5.mga4
+ Revision: 521437
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 2.5.2-4.mga3
+ Revision: 390903
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 2.5.2-3.mga3
+ Revision: 358850
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 zezinho <zezinho> 2.5.2-2.mga3
+ Revision: 318330
- tar recompressed as it was corrupted
- tar recompressed as it was corrupted
- spec cleanup
- rebuild for mga3

* Sat Jan 15 2011 alien <alien> 2.5.2-1.mga1
+ Revision: 18314
- update to new version 2.5.2
- remove firmware due to policy
- Drop old macro
- Remove BuildRoot
- imported package linux-atm


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-3mdv2011.0
+ Revision: 606410
- rebuild

* Sun Jan 03 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.1-2mdv2010.1
+ Revision: 485930
- disable parallel make as it fails sometimes

* Sun Dec 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.1-1mdv2010.1
+ Revision: 474152
- drop patch0, fixed by upstream
- update to new version 2.5.1

* Sat Oct 10 2009 Olivier Blin <oblin@mandriva.com> 2.5.0-8mdv2010.0
+ Revision: 456531
- fix group

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.5.0-7mdv2010.0
+ Revision: 425980
- rebuild

* Fri Feb 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.0-6mdv2009.1
+ Revision: 338301
- Patch1: fix compiling with -Werror=format-security

* Sat Jul 12 2008 Oden Eriksson <oeriksson@mandriva.com> 2.5.0-5mdv2009.0
+ Revision: 234005
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jan 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.0-3mdv2008.1
+ Revision: 160947
- realy obsolete older devel library

* Thu Jan 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.5.0-2mdv2008.1
+ Revision: 160935
- add more provides on devel package
- new version 2.5.0
- new license policy
- new devel library policy (Warning! library is now called libatm)
- drop not needed patches 0,1,2,3
- add two Fedora's patches 4 and 5
- enable support for cisco routers
- enable support for Multi Protocol over ATM (MPOA 1.1)
- spec file clean and fix file list

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sun Apr 30 2006 Stefan van der Eijk <stefan@mandrake.org> 2.4.1-9mdk
- %%mkrel
- rebuild for sparc
- add URL to Source0

* Mon Aug 22 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.4.1-8mdk
- gcc4 fixes mostly from fedora

* Thu Dec 30 2004 Stefan van der Eijk <stefan@mandrake.org> 2.4.1-7mdk
- BuildRequires: byacc --> bison

* Mon Nov 15 2004 Stefan van der Eijk <stefan@mandrake.org> 2.4.1-6mdk
- BuildRequires

* Wed Oct 06 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.1-5mdk
- libtool & 64-bit fixes

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.4.1-4mdk
- fix gcc-3.4 build (P0)
- wipe out buildroot at the beginning of %%install, not %%prep

* Fri Aug 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.4.1-3mdk
- rebuild

* Tue Jul 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.4.1-2mdk
- rebuild for new rpm devel computation

* Fri Jun 13 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.4.1-1mdk
- 2.4.1

